Set Edge Rule Enabled
curl --request POST \
--url https://api.bunny.net/pullzone/{pullZoneId}/edgerules/{edgeRuleId}/setEdgeRuleEnabled \
--header 'AccessKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"Id": 123,
"Value": true
}
'import requests
url = "https://api.bunny.net/pullzone/{pullZoneId}/edgerules/{edgeRuleId}/setEdgeRuleEnabled"
payload = {
"Id": 123,
"Value": True
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 123, Value: true})
};
fetch('https://api.bunny.net/pullzone/{pullZoneId}/edgerules/{edgeRuleId}/setEdgeRuleEnabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorKey": "<string>",
"Field": "<string>",
"Message": "<string>"
}Pull Zone
Set Edge Rule Enabled
POST
/
pullzone
/
{pullZoneId}
/
edgerules
/
{edgeRuleId}
/
setEdgeRuleEnabled
Set Edge Rule Enabled
Authorizations
API Access Key authorization header
Path Parameters
The ID of the Pull Zone that contains the Edge Rule
The ID of the Edge Rule that should be updated
Response
The Edge Rule was successfuly updated
Last modified on June 26, 2026
Was this page helpful?
⌘I